ARK(1)

NAME
ark - KDE alatka za arhiviranje

SYNOPSIS

ark [-b] [-a] [-e] [-c] [-f sufiks] [-p] [-t fajl] [-d] [-o fascikla] [generičke KDE opcije] [generičke Qt opcije]

OPIS

Ark je program za upravljanje raznim formatima arhiva iz okruženja KDE-a. Arhive se mogu pregledati, raspakivati, stvarati i menjati unutar Arka. Ume da rukuje raznim formatima, kao što su tar, gzip, bzip2, ZIP, RAR i LHA (ako su instalirani neophodni programi komandne linije).

REžIMI RADA

Ark se može koristiti i kao samostalni GUI program i iz komandne linije, za izvođenje nekih specijalnih zadataka.

Ako se pozove bez opcija -b (--batch) ili -c (-add), Ark se pokreće kao normalan GUI program.

Pomoću opcije -b (--batch), Ark se može upotrebiti za raspakivanje jednog ili više fajlova neposredno iz komandne linije, bez pokretanja GUI-ja.

Kada se izda opcija -c (--add), Ark će pitati za fajlove koje treba dodati u novu ili postojeću arhivu.

OPCIJE

-d, --dialog
    Prikazuje dijalog za zadavanje opcija za paketnu obradu ili dodavanje.

-o, --destination fascikla
    Neka je Fascikla podrazumevana lokacija za raspakivanje. Ako se ne zada, uzima se tekuća putanja.

  Opcije za dodavanje fajlova

-c, --add
    Korisniku se traži ime fajla arhive u koju treba dodati navedene fajlove. Napušta po završetku.

-t, --add-to ime-fajla
    Dodaje navedene fajlove u ime-fajla. Stvara arhivu ako ne postoji. Napušta po završetku.

-p, --changetofirstpath
    Menja tekuću fasciklu na prvi unos i dodaje sve ostale unose relativno prema ovome.

-f, --autofilename sufiks
    Automatski bira ime fajla, sa zadatim sufiksom (na primer: rar, tar.gz, zip, ili bilo koji drugi podržani tip).

  Opcije za paketno raspakivanje

-b, --batch
    Paketno sučelje umesto uobičajenog dijaloga. Ova opcija se podrazumeva ako se zada više od jednog URL-a.

-e, --autodestination
    Argument odredišta postavlja se na putanju prvog navedenog fajla.

-a, --autosubfolder
    Sadržaj arhive se čita, i ako se otkrije da se ne radi o arhivi s jednom fasciklom, stvara se potfascikla imenovana kao arhiva.

PRIMERI

ark --batch arhiva.tar.bz2
    Raspakuje arhiva.tar.bz2 u tekuću fasciklu bez pozivanja GUI-ja.

ark -b -d arhiva.tar.bz2 arhiva2.zip
    Prvo poziva dijalog za opcije raspakivanja, a onda raspakuje i arhiva.tar.bz2 i arhiva2.zip u fasciklu izabranu u dijalogu.

ark --add-to moja-arhiva.zip slika1.jpg tekst.txt
    Stvara moja-arhiva.zip ako ne postoji, a zatim dodaje slika1.jpg i tekst.txt u nju.

AUTORI

Ark trenutno održavaju Harald Vol <haraldhv@stud.ntnu.no> i Rafael Kuba da Kosta <kubito@gmail.com>.

Ovu uputnu stranicu napisala je Lori Vots <lauri@kde.org> 2005. za KDE 3.4, a 2009. ju je ažurirao Rafael Kuba da Kosta <kubito@gmail.com>.

AUTHORS
Lori Vots, Rafael Kuba da Kosta.